import { BadRequest } from '../../src/http/errors';
import { Endpoint, Request, Response } from '../../src/http';


export class MockEndpoint extends Endpoint {
    async get(req: Request, res: Response) {
        if (req.data.bad_request === true) {
            throw new BadRequest('A mock bad request.');
        }
        if (req.data.exception === true) {
            throw new Error('A plain old JS error.');
        }
    }
}