import * as bunyan from 'bunyan';


function getLogger(name: string, level: string) {
    const options = {
        name: name,
        streams: [{ stream: process.stdout }]
    };
    const logger = bunyan.createLogger(options);
    logger.level(bunyan.levelFromName[level]);
    return logger;
}

const log = getLogger('lambdaless', 'info');

export { log, getLogger };
