"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bunyan = require("bunyan");
function getLogger(name, level) {
    const options = {
        name: name,
        streams: [{ stream: process.stdout }]
    };
    const logger = bunyan.createLogger(options);
    logger.level(bunyan.levelFromName[level]);
    return logger;
}
exports.getLogger = getLogger;
const log = getLogger('lambdaless', 'info');
exports.log = log;
//# sourceMappingURL=logging.js.map